apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: valheim-chris
  namespace: argocd
  labels:
    app.kubernetes.io/name: valheim-chris
    app.kubernetes.io/type: application
spec:
  destination:
    name: ''
    namespace: valheim-chris
    server: 'https://kubernetes.default.svc'
  sources:
    - path: valheim-chris
      repoURL: 'https://gitlab.com/rostlab/kubernetes/manifests.git'
      targetRevision: HEAD
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
  revisionHistoryLimit: 0